# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiTrigoTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        
        self.addControl('input', label='输入')
        self.addControl('function', label='函数')
        self.addControl('units', label='单位')
        self.addControl('frequency', label='次数')
        self.addControl('phase', label='Phase（相）')
                
        pm.mel.AEdependNodeTemplate(self.nodeName)

        self.addExtraControls()
        self.endScrollLayout()

